/*!
* Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

/* CSS */
// @import url('https://cdn.jsdelivr.net/gh/tonsky/FiraCode@1.207/distr/fira_code.css');

//
// Import themes
// 

@import './code-theme/dark-theme';


.nv-code {
  border: var(--nv-border-color);
  display: block;
  font-family: 'Fira Code', monospace;
  padding: 0 !important;

  header {
    background-color: #f9f9f9;
    padding: $space-sm $space-md;

    h5 {
      margin: 0;
    }
  }

  .nv-code-btn {
    height: 40px;
    width: 40px;

    svg {
      height: auto;
      margin: 5px 0;
      width: 30px;
    }

    .nv-button-native {
      height: 40px;
      padding: 0;
      width: 40px;
    }
  }

  .nv-btn-copy-container {
    position: absolute;
    right: $space-md;
    top: $space-sm;

    svg path {
      fill: $white;
    }
  }

  .nv-code-source {
    display: none;
    position: relative;
  }

  &.nv-code-view-source {
    .nv-code-source {
      display: block;
    } 
  }

  .nv-code-demo {
    display: block;
    padding: $space-md;

    &:empty {
      display: none !important;
    }
  }

  .nv-code-display,
  pre,
  code {
    font-family: 'Fira Code', monospace;
  }

  pre {
    margin: 0 !important;
    padding: $space-default;
  }

  code {
    padding: 0;
  }
}
